
//Make the DIV element draggagle:
dragElement(select("#mydiv"));

function dragElement(elmnt) {
  var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
  if (select(("#mydivheader")) {
    /* if present, the header is where you move the DIV from:*/
    select(("#mydivheader").on('mousedown', dragMouseDown);
  } else {
    /* otherwise, move the DIV from anywhere inside the DIV:*/
    elmnt.on('mousedown', dragMouseDown);
  }



  function dragMouseDown(e) {
    e = e || window.event;
    e.preventDefault();
    // get the mouse cursor position at startup:
    pos3 = e.clientX;
    pos4 = e.clientY;
    
    
    document1.onmouseup = closeDragElement;
    // call a function whenever the cursor moves:
    document1.onmousemove = elementDrag;
  }

  function elementDrag(e) {
    e = e || window.event;
    e.preventDefault();
    // calculate the new cursor position:
    pos1 = pos3 - e.clientX;
    pos2 = pos4 - e.clientY;
    pos3 = e.clientX;
    pos4 = e.clientY;
    // set the element's new position:
    elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
    elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
  }

  function closeDragElement() {
    /* stop moving when mouse button is released:*/
    document1.onmouseup = null;
    document1.onmousemove = null;
  }
}

