// You can import API functions like this from D3.js.
import { select, csv } from 'd3';

const svg = select('svg'); 

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.

const width = +svg.attr('width');
const height = +svg.attr('height');


const rectGroup = svg
  .append('g')
  .attr(
    'transform', 
    `translate(${width / 5}, ${height / 5})`
  );

var num = d3.range(102,400)
var numnum = num.map((d)=> {return "ap" + d });

 let myScale = d3.scaleLinear()
  .domain([0, 10])
  .range(["blue", "green","orange"]);

select("body").on("mousemove", function (e) {
    var t = window.scrollY;

  	rectGroup.append("rect")
  .attr("cy",50)
  .attr('cx', 0)
  .attr('height', d3.event.pageY )
  .attr('width', 200)
  .attr("stroke", "black")
  .attr("fill",myScale(d3.event.pageY))
    .attr("class","ap" + d3.event.pageY);


  	if (true){
      for (var i = t; i < t ; i++){
        d3.select(numnum[i]).attr("fill","white")
        console.log("what ")
      }
    
    }
    //.filter("ap" );

  
  
 
  
  
  select("#message").text(numnum[0])
  



})





const circleGroup = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`
  );

circleGroup
  .append('circle')
  .attr('cx', -150)
.attr('class', 'circleClass')
  .attr('fill', 'green')
  .attr('r', 50);
circleGroup
  .append('circle')
  .attr('fill', 'blue')
  .attr('r', 50);
const circle3 = circleGroup
  .append('circle')
  .attr('fill', 'red')
  .attr('cx', 150)
  .attr('r', 50)
  .on('mouseover', function () {
  circle3.attr('fill', 'black');
  })
.on('mouseout', function(){
d3.select(this).attr('fill', 'red')
})
;

function moveCircles(circleObj) {
  circleObj
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})` 
    )
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${0})`
    );  
}



function moveBackCircles(circleObj) {
  circleObj
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${0}, ${0})` 
    );  
}



svg.append('rect')
.attr('cx', 0)
.attr('height', 100)
.attr('width', 200)
.on('click', function() {
	moveCircles(circle3)
})
.on("dblclick",function(){
  moveBackCircles(circle3)
});
